package nts.parser;

import nts.interf.base.IAnnotated;

public abstract class AnnotatedBase implements IAnnotated {
	
	// annotation interface
	private Annotations ann;
	public boolean isAnnotated() { return ann != null; }
	public Annotations annotations() { return ann; }
	public void setAnnotations(Annotations aAnn) { ann = aAnn; }
	
	private static SemFlags sfGen = SemFlags.createGeneral();
	protected void semanticChecks(VarTable aVT) {
		if (this.isAnnotated())
			ann.semanticChecks(aVT, sfGen);
	}
}
