package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprDivide;

import org.antlr.runtime.Token;

public class ExDivide extends OpBinArith implements IExprDivide {

	public void accept(IVisitor v) { v.visit(this); }
	
	public ExDivide(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	public static ExDivide createRev(Token aT, Expr aE2, Expr aE1) { return new ExDivide(aT,aE1,aE2); }
	
	ExDivide syn_copy() { return new ExDivide(token,op1.syn_copy(),op2.syn_copy()); }
}
