package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprEquiv;

import org.antlr.runtime.Token;

public class ExEquiv extends OpBinBool implements IExprEquiv {

	public void accept(IVisitor v) { v.visit(this); }
	
	public ExEquiv(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	public static ExEquiv createRev(Token aT, Expr aE2, Expr aE1) { return new ExEquiv(aT,aE1,aE2); }
	
	ExEquiv syn_copy() { return new ExEquiv(token,op1.syn_copy(),op2.syn_copy()); }
}
