package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprLeq;

import org.antlr.runtime.Token;

public class ExLeq extends OpBinRel implements IExprLeq {

	public void accept(IVisitor v) { v.visit(this); }
	
	public ExLeq(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	public static ExLeq createRev(Token aT, Expr aE2, Expr aE1) { return new ExLeq(aT,aE1,aE2); }
	
	ExLeq syn_copy() { return new ExLeq(token,op1.syn_copy(),op2.syn_copy()); }
}
