package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprNeq;

import org.antlr.runtime.Token;

public class ExNeq extends OpBinRel implements IExprNeq {

	public void accept(IVisitor v) { v.visit(this); }
	
	public ExNeq(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	public static ExNeq createRev(Token aT, Expr aE2, Expr aE1) { return new ExNeq(aT,aE1,aE2); }
	
	ExNeq syn_copy() { return new ExNeq(token,op1.syn_copy(),op2.syn_copy()); }
}
