package nts.parser;

import org.antlr.runtime.Token;

public abstract class OpBinArith extends OpBin {
	
	protected OpBinArith(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	Expr semanticChecks(VarTable aVT, SemFlags seType) {
		
		super.semanticChecks(aVT, seType);
		
		op1.checkNum();
		op2.checkNum();
		
		type = new Type(op1.type.basicType());
		
		return this;
	}

}
