package nts.interf.base;

/**
 * Basic types of variables.
 *
 */
public enum EBasicType {
	BOOL, INT, REAL;
	public boolean isBool() { return this == BOOL; }
	public boolean isInt() { return this == INT; }
	public boolean isReal() { return this == REAL; }
	/**
	 * 
	 * @return true if and only if either <tt>INT</tt> or <tt>REAL</tt>
	 */
	public boolean isNumeric() { return this != BOOL; }
}
