package nts.interf.base;

/**
 *  Declaration modifier.
 *  
 */
public enum EModifier {
	/**
	 * no modifier
	 */
	NO,
	/**
	 * global-level or subsystem parameter
	 */
	PARAM,
	/**
	 * input of a subsystem
	 */
	IN,
	/**
	 * output of a subsystem
	 */
	OUT,
	/**
	 * thread ID
	 */
	TID,
	/**
	 * logical variable declared in a quantifier scope
	 */
	LOGICAL
}
