package nts.parser;

import nts.interf.*;
import nts.interf.base.IVisitor;

import org.antlr.runtime.Token;

public class ControlState extends AnnotatedBase implements IControlState {
	
	public void accept(IVisitor v) { v.visit(this); }
	
	private Token tok;
	
	public String name() { return tok.getText(); }
	
	public ControlState(Token aToken) {
		tok = aToken;
	}
}
