package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprMinus;

import org.antlr.runtime.Token;

public class ExMinus extends OpBinArith implements IExprMinus {

	public void accept(IVisitor v) { v.visit(this); }
	
	public ExMinus(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	public static ExMinus createRev(Token aT, Expr aE2, Expr aE1) { return new ExMinus(aT,aE1,aE2); }
	
	ExMinus syn_copy() { return new ExMinus(token,op1.syn_copy(),op2.syn_copy()); }
}
