package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprNot;

import org.antlr.runtime.Token;

public class ExNot extends OpUn implements IExprNot {
	
	public void accept(IVisitor v) { v.visit(this); }
	
	public ExNot(Token aT, Expr aE) { super(aT,aE); }
	
	ExNot syn_copy() { return new ExNot(token,op.syn_copy()); }
	
	Expr semanticChecks(VarTable aVT, SemFlags seType) {
		
		super.semanticChecks(aVT,seType);
		
		op.checkBool();
		type = op.type;
		
		return this;
	}
}
